Home/Forums/Product Support/How-To and Troubleshooting/[Support request] Module versions aren't updated as per 6.3.4 release